Répertorier les comptes de service
curl --request GET \
--url https://api.devin.ai/v3/enterprise/members/service-users \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/enterprise/members/service-users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/enterprise/members/service-users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"deleted_at": 123,
"expires_at": 123,
"name": "<string>",
"role_assignments": [
{
"role": {
"role_id": "<string>",
"role_name": "<string>"
},
"org_id": "<string>"
}
],
"service_user_id": "<string>"
}
],
"end_cursor": "<string>",
"has_next_page": false,
"total": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Utilisateurs de service (Entreprise)
Répertorier les comptes de service
Répertorier les comptes de service de l’instance Enterprise.
GET
/
v3
/
enterprise
/
members
/
service-users
Répertorier les comptes de service
Autorisations
ViewAccountMembership au niveau Enterprise.Autorisations
Identifiant de compte de service (préfixe : cog_)
Paramètres de requête
Plage requise:
1 <= x <= 200Inclure les utilisateurs de service inactifs (expirés ou supprimés).
Réponse
Réponse réussie
Show child attributes
Show child attributes
Curseur pour récupérer la page suivante, ou None s’il s’agit de la dernière page.
Indique s’il reste d’autres éléments après cette page.
Nombre total optionnel (peut être omis pour des raisons de performance).
⌘I

